﻿using AdventOfCode2023.Day1;

namespace AdventOfCode2023
{
    internal class Program
    {
        private static List<DayBase> days = new List<DayBase>() {
            new Day1_1(),
            new Day1_2(),
        };

        private static void ListDays()
        {
            Console.WriteLine("Select Day:");
            Console.WriteLine();

            int index = 0;
            days.ForEach(item => Console.WriteLine($"{index++} - {item.GetType().Name}"));
        }

        static void Main(string[] args)
        {
            ListDays();
            Console.WriteLine(days[int.Parse(Console.ReadLine() ?? "")].Execute());
            Console.ReadLine();
        }
    }
}