namespace AdventOfCode2023Tests
{
    public class Tests
    {
        [Test]
        public void Day1_1Test()
        {
            var day1_1 = new Day1_1("1abc2\r\npqr3stu8vwx\r\na1b2c3d4e5f\r\ntreb7uchet");
            Assert.That(day1_1.Execute(), Is.EqualTo("142"));
        }

        [Test]
        public void Day1_2Test()
        {
            var day1_2 = new Day1_2("two1nine\r\neightwothree\r\nabcone2threexyz\r\nxtwone3four\r\n4nineeightseven2\r\nzoneight234\r\n7pqrstsixteen");
            Assert.That(day1_2.Execute(), Is.EqualTo("281"));
        }

        [Test]
        public void Day1_2CustomTest()
        {
            var day1_2 = new Day1_2("1oneight");
            Assert.That(day1_2.Execute(), Is.EqualTo("18"));
        }
    }
}